unit about;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, Buttons, Grids, ValEdit, Proc;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Comments: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    CP_Ver: TLabel;
    AP_Ver: TLabel;
    STDAPP_Ver: TLabel;
    Edit1: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses MAIN;

{$R *.dfm}

procedure TAboutBox.FormCreate(Sender: TObject);
var
  s,k,v: string;
  i: integer;
begin
  if MainForm.ConnectStatus then begin
    MainForm.ClearInput;
    MainForm.AddToOutput('ver'+#13#10);
    while true do begin
      s:=MainForm.GetNextInputString;
      if s<>'' then begin
        if s='=>' then break;
        if Pos('Autopilot software version:',s)>0 then begin
          i:=Pos(':',s);
          Delete(s,1,i);
          s:=Trim(s);
          AP_Ver.Caption:=s;
        end;
        if Pos('Receiver software version:',s)>0 then begin
          i:=Pos(':',s);
          Delete(s,1,i);
          s:=Trim(s);
          STDAPP_Ver.Caption:=s;
        end;
      end;
    end;
  end else begin
    AP_Ver.Caption:='unknown';
    STDAPP_Ver.Caption:='unknown';
  end;

  CP_Ver.Caption := MainForm.CurrentVersion;
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
end;

end.
 
