unit Dlg_PPM_MonitorUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TDlg_PPM_Monitor = class(TForm)
    MonMemo: TMemo;
    Timer1: TTimer;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Dlg_PPM_Monitor: TDlg_PPM_Monitor;

implementation

uses MAIN;

{$R *.dfm}

procedure TDlg_PPM_Monitor.FormClose(Sender: TObject;  var Action: TCloseAction);
begin
  Action:=caFree;
end;

procedure TDlg_PPM_Monitor.FormCreate(Sender: TObject);
begin
  MainForm.ClearInput;
  MainForm.AddToOutput('mon on ppm_input'+#13#10);
  Timer1.Enabled:=true;
end;

procedure TDlg_PPM_Monitor.FormDestroy(Sender: TObject);
begin
  MainForm.ClearInput;
  MainForm.AddToOutput('mon off ppm_input'+#13#10);
end;

procedure TDlg_PPM_Monitor.Timer1Timer(Sender: TObject);
var
    s: string;
begin
  s:=Trim(MainForm.PPM_mon);
  if s='' then s:=' ';
  MonMemo.Lines.Add(s);
  while  MonMemo.Lines.Count>1000 do MonMemo.Lines.Delete(0);

end;

end.
